<?php

/**
 * This is the model base class for the table "shop_order_info".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "ShopOrderInfoModel".
 *
 * Columns in table "shop_order_info" available as properties of the model,
 * and there are no model relations.
 *
 * @property integer $id
 * @property string $customer_name
 * @property string $customer_email
 * @property string $customer_phone
 * @property string $customer_address_ship
 * @property string $ship_type
 * @property string $customer_data
 * @property string $customer_comment
 * @property string $total_money
 * @property string $created_datetime
 * @property string $updated_datetime
 * @property integer $status
 *
 */
abstract class BaseShopOrderInfoModel extends GxActiveRecord {

	public static function model($className=__CLASS__) {
		return parent::model($className);
	}

	public function tableName() {
		return 'shop_order_info';
	}

	public static function label($n = 1) {
		return Yii::t('app', 'ShopOrderInfoModel|ShopOrderInfoModels', $n);
	}

	public static function representingColumn() {
		return 'customer_name';
	}

	public function rules() {
		return array(
			array('status', 'numerical', 'integerOnly'=>true),
			array('customer_name, customer_email, ship_type', 'length', 'max'=>255),
			array('customer_phone', 'length', 'max'=>20),
			array('total_money', 'length', 'max'=>50),
			array('customer_address_ship, customer_data, customer_comment, created_datetime, updated_datetime', 'safe'),
			array('customer_name, customer_email, customer_phone, customer_address_ship, ship_type, customer_data, customer_comment, total_money, created_datetime, updated_datetime, status', 'default', 'setOnEmpty' => true, 'value' => null),
			array('id, customer_name, customer_email, customer_phone, customer_address_ship, ship_type, customer_data, customer_comment, total_money, created_datetime, updated_datetime, status', 'safe', 'on'=>'search'),
		);
	}

	public function relations() {
		return array(
		);
	}

	public function pivotModels() {
		return array(
		);
	}

	public function attributeLabels() {
		return array(
			'id' => Yii::t('app', 'ID'),
			'customer_name' => Yii::t('app', 'Customer Name'),
			'customer_email' => Yii::t('app', 'Customer Email'),
			'customer_phone' => Yii::t('app', 'Customer Phone'),
			'customer_address_ship' => Yii::t('app', 'Customer Address Ship'),
			'ship_type' => Yii::t('app', 'Ship Type'),
			'customer_data' => Yii::t('app', 'Customer Data'),
			'customer_comment' => Yii::t('app', 'Customer Comment'),
			'total_money' => Yii::t('app', 'Total Money'),
			'created_datetime' => Yii::t('app', 'Created Datetime'),
			'updated_datetime' => Yii::t('app', 'Updated Datetime'),
			'status' => Yii::t('app', 'Status'),
		);
	}

	public function search() {
		$criteria = new CDbCriteria;

		$criteria->compare('id', $this->id);
		$criteria->compare('customer_name', $this->customer_name, true);
		$criteria->compare('customer_email', $this->customer_email, true);
		$criteria->compare('customer_phone', $this->customer_phone, true);
		$criteria->compare('customer_address_ship', $this->customer_address_ship, true);
		$criteria->compare('ship_type', $this->ship_type, true);
		$criteria->compare('customer_data', $this->customer_data, true);
		$criteria->compare('customer_comment', $this->customer_comment, true);
		$criteria->compare('total_money', $this->total_money, true);
		$criteria->compare('created_datetime', $this->created_datetime, true);
		$criteria->compare('updated_datetime', $this->updated_datetime, true);
		$criteria->compare('status', $this->status);

		return new CActiveDataProvider($this, array(
			'criteria' => $criteria,
		));
	}
}